GDB (xrefs)

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
user_cpu_time_clock Struct Reference

`#include "run-time-clock.h"`

## Public Types
using | duration = std::chrono::microseconds
using | rep = duration::rep
using | period = duration::period
using | time_point = std::chrono::time_point< user_cpu_time_clock >

## Static Public Member Functions
static time_point | now () noexcept=delete

## Static Public Attributes
static constexpr bool | is_steady = true

## Detailed Description

Definition at line 26 of file run-time-clock.h.

## Member Typedef Documentation

## ◆ duration

using user_cpu_time_clock::duration = std::chrono::microseconds

Definition at line 28 of file run-time-clock.h.

## ◆ period

using user_cpu_time_clock::period = duration::period

Definition at line 30 of file run-time-clock.h.

## ◆ rep

using user_cpu_time_clock::rep = duration::rep

Definition at line 29 of file run-time-clock.h.

## ◆ time_point

using user_cpu_time_clock::time_point = std::chrono::time_point<user_cpu_time_clock>

Definition at line 31 of file run-time-clock.h.

## Member Function Documentation

## ◆ now()

static time_point user_cpu_time_clock::now | ( |  | ) |
| static delete noexcept

## Member Data Documentation

## ◆ is_steady

constexpr bool user_cpu_time_clock::is_steady = true
| static

Definition at line 33 of file run-time-clock.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/run-time-clock.h